fwsnort 'fwsnort.conf'本地权限提升漏洞

2014-02-20T00:00:00
ID SSV:61491
Type seebug
Reporter Root
Modified 2014-02-20T00:00:00

Description

BUGTRAQ ID: 65341 CVE(CAN) ID: CVE-2014-0039

fwsnort是一个perl脚本,可疑将Snort规则转换为相同的iptables规则。

fwsnort 1.6.4之前版本在非root权限运行时,存在可疑搜索路径漏洞,可使本地用户通过当前工作目录内的木马fwsnort.conf,利用此漏洞执行任意代码。 0 fwsnort fwsnort 1.6.3 fwsnort fwsnort 厂商补丁:

fwsnort

目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://www.cipherdyne.org/fwsnort/ https://github.com/mrash/fwsnort/commit/fa977453120cc48e1654f373311f9cac468d3348